###### INICIA SPAWN EN NUEVA DIMENSION #######
execute if entity @a[predicate=inc:in_overworld] run function inc:load

###### ACTIVE EFFECTS ######
scoreboard players remove @a[scores={ActiveAntidoto=1..}] ActiveAntidoto 1
execute at @a[scores={ActiveAntidoto=2..}] run particle entity_effect{color:[0.67,0.0,0.67,1.0]} ~ ~0.5 ~ 0.1 0.15 0.1 1 1
function inc:potion_effects/antidoto
scoreboard players remove @a[scores={ActiveFlaire=1..}] ActiveFlaire 1
execute at @a[scores={ActiveFlaire=2..}] run particle entity_effect{color:[0.0,0.0,1.0,1.0]} ~ ~0.5 ~ 0.1 0.15 0.1 1 1
function inc:potion_effects/flaire
scoreboard players remove @a[scores={ActiveCarmesi=1..}] ActiveCarmesi 1
execute at @a[scores={ActiveCarmesi=2..}] run particle entity_effect{color:[1.0,0.0,0.0,1.0]} ~ ~0.5 ~ 0.1 0.15 0.1 1 1
function inc:potion_effects/carmesi

###### CUSTOM ITEMS ######
    ###### CUSTOM ELYTRA ######
execute as @r if data entity @s Inventory[{Slot:102b}].components{"minecraft:custom_model_data":135007} run tag @s add WoodenElytra
execute as @r unless data entity @s Inventory[{Slot:102b}].components{"minecraft:custom_model_data":135007} run tag @s remove WoodenElytra
attribute @r[tag=WoodenElytra,predicate=!inc:at_flair,scores={ActiveFlaire=..2}] generic.gravity base set 0.09
execute as @r if data entity @s Inventory[{Slot:102b}].components{"minecraft:custom_model_data":135008} run tag @s add IronElytra
execute as @r unless data entity @s Inventory[{Slot:102b}].components{"minecraft:custom_model_data":135008} run tag @s remove IronElytra
attribute @r[tag=IronElytra,predicate=!inc:at_flair,scores={ActiveFlaire=..2}] generic.gravity base set 0.1
    ###### CUSTOM ATTRIBUTE SWORD ######
scoreboard players remove @a[scores={VampireSword=4..}] VampireSword 3
effect give @a[nbt={SelectedItem:{components:{"minecraft:custom_data":{"vampire":1b}}}},scores={VampireSword=5..}] regeneration 2 2 true

###### ACID BIOME ######
execute at @a[predicate=inc:at_acid] run function inc:acid_effects/mobs_angry
execute at @a[predicate=inc:at_acid] run function inc:acid_effects/acid_timer
scoreboard players reset @a[predicate=!inc:at_acid] AcidTimer
scoreboard players reset @a[scores={ActiveAntidoto=2..}] AcidTimer
    ### ACID MOBS ###
    team join acid @e[predicate=inc:at_acid,type=!player,team=!crimson,team=!darkness,team=!evergreen,predicate=!inc:at_crimson_fortress,predicate=!inc:at_evergreen_outpost]

###### CRIMSON BIOME ######
function inc:crimson_effects/mobs_buffs
execute at @a[predicate=inc:at_crimson] run function inc:crimson_effects/crimson_timer
function inc:crimson_effects/crimson_timer2
scoreboard players reset @a[predicate=!inc:on_water] CrimsonTimer
scoreboard players reset @a[predicate=!inc:at_crimson] CrimsonTimer
function inc:crimson_effects/spawner_breaking
    ### CRIMSON MOBS ###
    team join crimson @e[predicate=inc:at_crimson,type=!player,team=!darkness,team=!acid,team=!evergreen]
    team join crimson @e[predicate=inc:at_crimson_fortress,type=!player,team=!darkness,team=!acid,team=!evergreen]


###### DARKNESS BIOME ######
execute at @a[predicate=inc:at_darkness] run function inc:darkness_effects/darkness_timer
execute at @a[predicate=inc:at_darkness] run function inc:darkness_effects/darkness_timer2
scoreboard players reset @a[predicate=!inc:at_darkness] DarknessTimer
scoreboard players reset @a[predicate=!inc:on_water] DarknessTimer2
scoreboard players reset @a[predicate=!inc:at_darkness] DarknessTimer2
    ### DARKNESS MOBS ###
    team join darkness @e[predicate=inc:at_darkness,type=!player,team=!crimson,team=!acid,team=!evergreen,predicate=!inc:at_crimson_fortress,predicate=!inc:at_evergreen_outpost]
    function inc:darkness_effects/darkness_mobs

###### FLAIR BIOME ######
execute at @a[predicate=inc:at_flair] run function inc:flair_effects/flair_gravity
attribute @a[predicate=!inc:at_flair,limit=1,sort=random,scores={ActiveFlaire=..2},tag=!WoodenElytra,tag=!IronElytra] generic.gravity base set 0.08
attribute @e[predicate=!inc:at_flair,limit=1,sort=random,scores={ActiveFlaire=..2},tag=!WoodenElytra,tag=!IronElytra] generic.gravity base set 0.08
attribute @a[predicate=!inc:at_flair,limit=1,sort=random,scores={ActiveFlaire=..2},tag=!WoodenElytra,tag=!IronElytra] generic.safe_fall_distance base set 3
attribute @e[predicate=!inc:at_flair,limit=1,sort=random,scores={ActiveFlaire=..2},tag=!WoodenElytra,tag=!IronElytra] generic.safe_fall_distance base set 3
tag @e[predicate=!inc:at_flair,tag=!WoodenElytra,tag=!IronElytra] remove flairX
tag @e[predicate=!inc:at_flair,tag=!WoodenElytra,tag=!IronElytra] remove flair
    ### FLAIR MOBS ###
function inc:flair_effects/flair_mobs

### EVERGREEN MOBS ###
team join evergreen @e[predicate=inc:at_evergreen,type=!player,team=!crimson,team=!acid,team=!darkness,predicate=!inc:at_crimson_fortress]
team join evergreen @e[predicate=inc:at_evergreen_outpost,type=!player,team=!crimson,team=!acid,team=!darkness,predicate=!inc:at_crimson_fortress]

### SWEET MOBS ###
function inc:sweet_effects/sweet_mobs
team join cherry_tower @e[predicate=inc:at_cherry_tower,type=!player,team=!crimson,team=!acid,team=!darkness,team=!evergreen,predicate=!inc:at_crimson_fortress,predicate=!inc:at_evergreen_outpost]

#### FOR ALL MOBS
    #### LOOT TABLE WITHER SKELETON ####
tag @e[limit=1,sort=random,type=wither_skeleton,tag=!witherdrop] add witherdrop
data merge entity @e[limit=1,sort=random,tag=witherdrop,tag=!witherdropX] {DeathLootTable:"inc:mob_drops/wither_skeleton"}
tag @e[limit=1,sort=random,tag=witherdrop,tag=!witherdropX] add witherdropX

tag @e[limit=1,sort=random,type=#illager,tag=!illagerdrop] add illagerdrop
data merge entity @e[limit=1,sort=random,tag=illagerdrop,tag=!illagerdropX] {DeathLootTable:"inc:mob_drops/illager"}
tag @e[limit=1,sort=random,tag=witherdrop,tag=!illagerdropX] add illagerdropX



